/*
 * geometria.c
 *
 * Calcola una grandezza geometrica scelta dall'utente
 *
 */ 

#include <stdio.h>
#include <stdlib.h>
#include "iocrema.h"

#define PI 3.1415926535

/* Modificare il codice sottostante strutturando il programma in modo 
 * che il mail contenga la funzione SceltaOpzione, e questa richiami 
 * richiami poi le funzioni per il calcolo delle grandezze geometriche
 * corrispondenti (e.g., int AreaQuadrato(int l), float AreaCerchio(int l))
 *
 */

int main(int argc, char *argv[]) {

  int scelta;
  int lato;
  int raggio;
  int base, altezza;
	
  /* Stampa il menu */
  StampaStringa ("Premere il numero corrispondente alla funzione scelta:");
  ACapo ();
  StampaStringa ("1 - area del quadrato");
  ACapo ();
  StampaStringa ("2 - area del cerchio");
  ACapo ();
  StampaStringa ("3 - area del rettangolo");
  ACapo ();

  scelta = LeggeIntero ();
  switch (scelta) {
  case 1: /* area quadrato */
    StampaStringa ("Inserire il lato: ");
    lato = LeggeIntero();
    ACapo ();
    StampaStringa ("L'area del quadrato e': ");
    StampaIntero (lato*lato);
    ACapo ();
    break;
  case 2: /* area cerchio */
    StampaStringa ("Inserire il raggio: ");
    raggio = LeggeIntero();
    ACapo ();
    StampaStringa ("L'area del cerchio e': ");
    StampaFloat (PI*lato*lato);
    ACapo ();
    break;
  case 3: /* area rettangolo */
    StampaStringa ("Inserire la base: ");
    base = LeggeIntero();
    ACapo ();
    StampaStringa ("Inserire l'altezza: ");
    altezza = LeggeIntero();
    ACapo ();
    StampaStringa ("L'area del rettangolo e': ");
    StampaFloat (base*altezza);
    ACapo ();
    break;
  default:
    ACapo ();
    StampaStringa ("opzione ");
    StampaIntero (scelta);
    StampaStringa (" non presente");
    ACapo ();
  }

  return 0;
}
